
;==============================
; タイトル画面
;==============================

;オープニング画像先読み
[preload storage="data/bgimage/opening.jpg"]
[back storage ="opening.jpg" time=1000][l]
[playse storage=suzu.mp3 loop=false ]
[wait time=2000]

;タイトル画像の先読み
[preload storage="data/bgimage/title.jpg"]
;タイトル表示
[back storage ="title.jpg"]

;BGM先読み
[preload storage="data/bgm/title.mp3"]
;BGM変更
[playbgm storage="title.mp3"]

;SE先読み
[preload storage="data/sound/title.mp3"]

[iscript]
    tf.flag_replay = false;
[endscript]

;標準のメッセージレイヤを非表示
@layopt layer="message0" visible = false

*title
;タイトルボタンを表示する
[macro name="show_title_button"]
    
    [anim name="button_title_start" left=340 time=600 ]
    [wait time=60]
    
    [anim name="button_title_load" left=340 time=600 target="*load"]
    [wait time=60]
    
    [anim name="button_title_cg" left=340 time=600 target="*cg"]
    [wait time=60]
    
    ;[anim name="button_title_replay" left=340 time=600 target="*replay" ]
    ;[wait time=60]
    
    [wa]

[endmacro]

;タイトルのボタンを隠す
[macro name="hide_title_button"]
    
    [anim name="button_title_start" left=1000 time=600 ]
    [wait time=60]
    
    [anim name="button_title_load" left=1000 time=600 ]
    [wait time=60]
    
    [anim name="button_title_cg" left=1000 time=600 ]
    [wait time=60]
    
    [anim name="button_title_replay" left=1000 time=600  ]
    [wait time=60]
    
    [wa]

[endmacro]

;タイトル各種ボタン
[locate x=1000 y=270]
[button name="button_title_start" graphic="button_title_start.png" target="*start"]

[locate x=1000 y=350]
[button name="button_title_load" graphic="button_title_load.png" target="*load"]

[locate x=1000 y=430]
[button name="button_title_cg" graphic="button_title_cg.png" target="*cg"]

[locate x=1000 y=510]
[button name="button_title_replay" graphic="button_title_replay.png" target="*replay" ]

[show_title_button]

[s]

;-------ボタンが押されたときの処理

*start
[stopbgm ]
[playse storage=title.mp3 loop=false ]
[showmenubutton]
[hide_title_button]
;------シナリオの最初にジャンプする
@jump storage="scene1.ks" target=*start

[s]

;--------ロードが押された時の処理
*load
[stopbgm ]
[playse storage=title.mp3 loop=false ]
[showmenubutton]
[hide_title_button]

[cm]
[showload]
[jump target=*title]
[cm]

[s]

;----------CGモードが選択された時
*cg
[stopbgm ]
[playse storage=title.mp3 loop=false ]
[hide_title_button]
[jump storage="cg.ks"]
[s]

;----------回想モードが選択された時
*replay
[stopbgm ]
[playse storage=title.mp3 loop=false ]
[hide_title_button]
[jump storage="replay.ks"]
[s]
